在CentOS 7上部署OpenStack可能遇到的一些问题及解决方法

3
  1. keystone依赖python2-qpid-proton-0.28以上版本,但CentOS 7/RHEL 7的EPEL源中最新版本只有0.26,更新版本的由于未知原因被删除了,需要从他处下载或自行编译安装。此外python2-qpid-proton还需要对应版本的qpid-proton-c作为依赖
    解决方法:

    1. 从源代码编译对应版本的python2-qpid-proton和qpid-proton-c
    2. 或安装以下备份的rpm软件包:ftp://ftp.pbone.net/mirror/archive.fedoraproject.org/epel/7.2020-10-05/x86_64/Packages/p/python2-qpid-proton-0.31.0-3.el7.x86_64.rpm、ftp://ftp.pbone.net/mirror/ftp.centos.org/7.9.2009/messaging/x86_64/qpid-proton/Packages/q/qpid-proton-c-0.31.0-3.el7.x86_64.rpm

 

Comments

您的电子邮箱地址不会被公开。 必填项已用*标注